OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.GREMEDY.StringMarker

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetGREMEDYStringMarker :: MonadIO m => m Bool
- gl_GREMEDY_string_marker :: Bool
- glStringMarkerGREMEDY :: MonadIO m => GLsizei -> Ptr a -> m ()

# Extension Support

glGetGREMEDYStringMarker :: MonadIO m => m Bool

Is the GREMEDY_string_marker extension supported?

gl_GREMEDY_string_marker :: Bool

Is the GREMEDY_string_marker extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetGREMEDYStringMarker` in those cases instead.

# Functions

glStringMarkerGREMEDY

Arguments

:: MonadIO m |
=> GLsizei | `len`.
-> Ptr a | `string` pointing to `len` elements of type `a`.
-> m () |